$LOAD_PATH.push File.dirname(__FILE__)

# This file is copied to ~/spec when you run 'ruby script/generate rspec'
# from the project root directory.
ENV["RAILS_ENV"] = "test"
require File.expand_path(File.dirname(__FILE__) + "/../../config/environment")

require 'capybara'
require 'capybara/rspec'
require 'capybara/rails'
require 'capybara-webkit'

Capybara.default_wait_time = 20
Capybara.default_driver = :webkit
Capybara.javascript_driver = :webkit

require 'yaml'
module AcceptanceHelpers

  def load_fixtures
    @fixtures = YAML.load_file(File.expand_path(File.dirname(__FILE__) + '/acceptance_fixtures.yml'))
  end

  def nodes 
    @fixtures[:nodes]
  end

  def user
    @user ||= Struct.new(:name, :home, :shell, :cloned_shell).new(@fixtures[:user][:name], @fixtures[:user][:home], @fixtures[:user][:shell], @fixtures[:user][:cloned_shell])
  end

  def all_system_users_count
    @fixtures[:all_system_users_count]
  end

def step(msg)
  puts <<-MSG

>> Step: #{msg}

MSG
end

# For the time-intensive front-end steps that shell out to mcollective
def custom_sleep_step(sleep_time, &block)
  block.call
  puts "Sleeping for #{sleep_time} seconds."
  sleep(sleep_time)
end

# We eventually will vary this depending on the number of nodes
# that mcollective is dealing with. Using this abstraction to 
# hide that from the acceptance suite
def sleep_step(&block)
  custom_sleep_step(60, &block)
end
end
