require 'acceptance/acceptance_helper'

feature 'resource browsing' do
  include AcceptanceHelpers

  before :all do
    load_fixtures
  end

  scenario 'browser users' do

    step 'Start'
    user_link = '#!/user'
    visit('/live_management/')
    page.should have_link('user', :href => user_link)

    step 'Browse user'
    click_link('user')
    page.should have_content('user resources')


    step 'Inspect'
    users_count = all_system_users_count
    sleep_step do
      click_button("Inspect")
    end
    page.should have_content("#{all_system_users_count} user resources")
    page.should have_content("#{all_system_users_count * nodes.size} total user resources")

    step 'Search'
    fill_in 'title', :with => user.name
    sleep_step do
      click_button 'Search'
    end

    page.should have_content(user.home)
    page.should have_content('shell')
    page.should have_content(user.shell) # should be variance to allow for cloning

=begin
    This needs to be fleshed out a bit more and have the appropriate variations
    in place for cloning across nodes.

    step 'Clone'
    click_link('Clone this variation')
    page.should have_content(%Q[Clone User "#{user}" to these #{nodes.size} nodes.])
    click_button('Preview')
    
    page.should have_content("#{nodes.size} overwrites")
    click_button('Clone')
=end
  end
end
